/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TInputTypeparamlist;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TInputTypeparamlistRecord extends UpdatableRecordImpl<TInputTypeparamlistRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for
     * <code>common_dd.t_input_typeparamlist.pk_input_typeparamlist</code>.
     */
    public void setPkInputTypeparamlist(Integer value) {
        set(0, value);
    }

    /**
     * Getter for
     * <code>common_dd.t_input_typeparamlist.pk_input_typeparamlist</code>.
     */
    public Integer getPkInputTypeparamlist() {
        return (Integer) get(0);
    }

    /**
     * Setter for
     * <code>common_dd.t_input_typeparamlist.fk_inputtypeparam</code>.
     */
    public void setFkInputtypeparam(Integer value) {
        set(1, value);
    }

    /**
     * Getter for
     * <code>common_dd.t_input_typeparamlist.fk_inputtypeparam</code>.
     */
    public Integer getFkInputtypeparam() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_input_typeparamlist.paramvalue</code>.
     */
    public void setParamvalue(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_input_typeparamlist.paramvalue</code>.
     */
    public Integer getParamvalue() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_input_typeparamlist.paramvalue_lang</code>.
     */
    public void setParamvalueLang(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_input_typeparamlist.paramvalue_lang</code>.
     */
    public String getParamvalueLang() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.t_input_typeparamlist.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_input_typeparamlist.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(4);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TInputTypeparamlistRecord
     */
    public TInputTypeparamlistRecord() {
        super(TInputTypeparamlist.T_INPUT_TYPEPARAMLIST);
    }

    /**
     * Create a detached, initialised TInputTypeparamlistRecord
     */
    public TInputTypeparamlistRecord(Integer pkInputTypeparamlist, Integer fkInputtypeparam, Integer paramvalue, String paramvalueLang, LocalDateTime lastchange) {
        super(TInputTypeparamlist.T_INPUT_TYPEPARAMLIST);

        setPkInputTypeparamlist(pkInputTypeparamlist);
        setFkInputtypeparam(fkInputtypeparam);
        setParamvalue(paramvalue);
        setParamvalueLang(paramvalueLang);
        setLastchange(lastchange);
        resetChangedOnNotNull();
    }
}
